AntResolver (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.extension.resolvers, class: AntResolver

Package org.apache.tools.ant.taskdefs.optional.extension.resolvers

# Class AntResolver

java.lang.Object
org.apache.tools.ant.taskdefs.optional.extension.resolvers.AntResolver

All Implemented Interfaces:
  `ExtensionResolver`

public class AntResolver extends Object implements ExtensionResolver
Resolver that just returns s specified location.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AntResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `resolve​(Extension extension, Project project)`
  Returns the resolved file
  `void`
  `setAntfile​(File antfile)`
  Sets the ant file
  `void`
  `setDestfile​(File destfile)`
  Sets the destination file
  `void`
  `setTarget​(String target)`
  Sets the target
  `String`
  `toString()`
  Returns a string representation

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AntResolver

    public AntResolver()

- ## Method Details

  - ### setAntfile

    public void setAntfile​(File antfile)
    Sets the ant file
    Parameters:
      `antfile` - the ant file to set

  - ### setDestfile

    public void setDestfile​(File destfile)
    Sets the destination file
    Parameters:
      `destfile` - the destination file

  - ### setTarget

    public void setTarget​(String target)
    Sets the target
    Parameters:
      `target` - the target

  - ### resolve

    public File resolve​(Extension extension, Project project) throws BuildException
    Returns the resolved file
    Specified by:
      `resolve` in interface `ExtensionResolver`
    Parameters:
      `extension` - the extension
      `project` - the project
    Returns:
      the file resolved
    Throws:
      `BuildException` - if the file cannot be resolved

  - ### toString

    public String toString()
    Returns a string representation
    Overrides:
      `toString` in class `Object`
    Returns:
      the string representation